//
//  NTBox.h
//  NewtonTest
//
//  Created by William Thimbleby on Sat Mar 05 2005.
//  Copyright (c) 2005 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#include <ode/ode.h>

@interface NTBox : NSObject
{
	dBodyID body;			// the body
	dGeomID geom;
}
- (id)initWithWorld:(dWorldID)world inSpace:(dSpaceID)space atX:(float)x atY:(float)y atZ:(float)z;

- (void)setMatrix:(const float*) mat;
- (void)generateList;
- (void)draw;

@end
